Page MenuHomePhabricator

Remove Print/export from navigation
Closed, ResolvedPublic

Description

Page: Any page

Expected behavior: Header navigation does not include Print/export

To do: Find and implement a way to remove Print/export from the navigation

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2020, 11:46 PM
apaskulin triaged this task as High priority.Aug 12 2020, 11:46 PM
Reedy added a subscriber: Reedy.

This is coming from Collection.

One way is to override $wgCollectionArticleNamespaces to set it to []...

reedy@deployment-deploy01:/srv/mediawiki-staging$ mwscript eval.php --wiki=apiportalwiki
> var_dump( $wgCollectionArticleNamespaces );
array(42) {
  [0]=>
  int(0)
  [1]=>
  int(1)
  [2]=>
  int(2)
  [3]=>
  int(3)
  [4]=>
  int(4)
  [5]=>
  int(5)
  [6]=>
  int(8)
  [7]=>
  int(9)
  [8]=>
  int(100)
  [9]=>
  int(101)
  [10]=>
  int(102)
  [11]=>
  int(103)
  [12]=>
  int(104)
  [13]=>
  int(105)
  [14]=>
  int(106)
  [15]=>
  int(107)
  [16]=>
  int(108)
  [17]=>
  int(109)
  [18]=>
  int(110)
  [19]=>
  int(111)
  [20]=>
  int(0)
  [21]=>
  int(1)
  [22]=>
  int(2)
  [23]=>
  int(3)
  [24]=>
  int(4)
  [25]=>
  int(5)
  [26]=>
  int(8)
  [27]=>
  int(9)
  [28]=>
  int(12)
  [29]=>
  int(13)
  [30]=>
  int(100)
  [31]=>
  int(101)
  [32]=>
  int(102)
  [33]=>
  int(103)
  [34]=>
  int(104)
  [35]=>
  int(105)
  [36]=>
  int(106)
  [37]=>
  int(107)
  [38]=>
  int(108)
  [39]=>
  int(109)
  [40]=>
  int(110)
  [41]=>
  int(111)
}
`

Or we could disable the extension completely... I guess it depends what the desired result of PDF export for the wiki is (I imagine it potentially has some value)

Restricted Application added a subscriber: Dereckson. · View Herald TranscriptAug 13 2020, 1:15 AM

Thanks, @Reedy! Yes, ideally I'd still like to have the option to export to PDF

Reedy added a comment.Aug 13 2020, 3:10 PM

Might want to spend a couple more cycles thinking about this one then, how we want it to look etc

As above, we don't want to disable the extension completely... So is emptying $wgCollectionArticleNamespaces enough (which should remove the navigation items)? Do we want the export stuff to appear on pages in any format? Or are the options via say Special:SpecialPages enough, though not so discoverable?

apaskulin closed this task as Resolved.Aug 31 2020, 6:16 PM
apaskulin claimed this task.

After discussing this with Cindy, we'd like to resolve this for the MVP by disabling the Collection extension, and revisit how to integrate this feature into the UI at a later time. I've added this to the planned config for the production Portal (T261425). Thank you for your help on this, @Reedy!